Skip to main content
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
qaSettings
Get quality assurance settings
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/qaSettings \
  --header 'Authorization: <api-key>'
{
  "emptyPairTags": true,
  "emptyTagContent": true,
  "emptyTranslation": true,
  "excludeLockedSegments": true,
  "extraNumbers": true,
  "forbiddenStrings": {
    "enabled": true,
    "list": [
      "<string>"
    ]
  },
  "forbiddenTerms": true,
  "formatting": true,
  "fuzzyInconsistency": true,
  "ignoreInAllWorkflowSteps": true,
  "ignoreNotApprovedTerms": true,
  "inconsistentTagContent": true,
  "inconsistentTranslation": true,
  "joinTags": true,
  "leadingAndTrailingSpaces": true,
  "missingNonTranslatableAnnotation": true,
  "missingNumbers": true,
  "moravia": {
    "enabled": true,
    "profile": "<string>"
  },
  "multipleSpaces": true,
  "nestedTags": true,
  "newerAtPrecedingWorkflowStep": true,
  "regexp": {
    "rules": [
      {
        "description": "<string>",
        "id": "<string>",
        "ignorable": true,
        "instant": true,
        "sourceRegexp": "<string>",
        "targetRegexp": "<string>"
      }
    ]
  },
  "repeatedWords": true,
  "segmentNotConfirmed": true,
  "spellCheck": true,
  "strictJobStatus": true,
  "targetLength": {
    "enabled": true,
    "max": 123
  },
  "targetLengthPerSegment": true,
  "targetLengthPercent": {
    "enabled": true,
    "max": 123
  },
  "targetSourceIdentical": true,
  "terminology": true,
  "trailingPunctuation": true,
  "trailingSpace": true,
  "unmodifiedFuzzyTranslation": true,
  "unmodifiedFuzzyTranslationMTNT": true,
  "unmodifiedFuzzyTranslationTM": true,
  "unresolvedComment": true,
  "xliffTags": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Response

successful operation

emptyPairTags
boolean
emptyTagContent
boolean
emptyTranslation
boolean
excludeLockedSegments
boolean
extraNumbers
boolean
forbiddenStrings
object
forbiddenTerms
boolean
formatting
boolean
fuzzyInconsistency
boolean
ignoreInAllWorkflowSteps
boolean
ignoreNotApprovedTerms
boolean
inconsistentTagContent
boolean
inconsistentTranslation
boolean
joinTags
boolean
leadingAndTrailingSpaces
boolean
missingNonTranslatableAnnotation
boolean
missingNumbers
boolean
moravia
object
multipleSpaces
boolean
nestedTags
boolean
newerAtPrecedingWorkflowStep
boolean
regexp
object
repeatedWords
boolean
segmentNotConfirmed
boolean
spellCheck
boolean
strictJobStatus
boolean
targetLength
object
targetLengthPerSegment
boolean
targetLengthPercent
object
targetSourceIdentical
boolean
terminology
boolean
trailingPunctuation
boolean
trailingSpace
boolean
unmodifiedFuzzyTranslation
boolean
unmodifiedFuzzyTranslationMTNT
boolean
unmodifiedFuzzyTranslationTM
boolean
unresolvedComment
boolean
xliffTags
boolean